# Namespace webdriver.testing.asserts

code »
Show:PublicProtectedPrivate

## Global Functions

code » webdriver.testing.asserts.assertThat ( failureMessageOrActualValue, actualValueOrMatcher, opt_matcher ) ⇒ `!webdriver.promise.Promise`
Deprecated: Use webdriver.testing.asserts.assert instead.

Asserts that a matcher accepts a given value. This function has two signatures based on the number of arguments: Two arguments: assertThat(actualValue, matcher) Three arguments: assertThat(failureMessage, actualValue, matcher)

Parameters

failureMessageOrActualValue: `*`
  Either a failure message or the value to apply to the given matcher.
actualValueOrMatcher: `*`
  Either the value to apply to the given matcher, or the matcher itself.
opt_matcher: `goog.labs.testing.Matcher=`
  The matcher to use; ignored unless this function is invoked with three arguments.

Returns

The assertion result.

code » webdriver.testing.asserts.equalTo ( expected ) ⇒ `!goog.labs.testing.Matcher`

Creates an equality matcher.

Parameters

expected: `*`
  The expected value.

Returns

The new matcher.